#
# Dmalloc RPM file for building of .rpm files for Redhat Linux systems.
#
# $Id: dmalloc.spec,v 1.16 2000/11/15 00:59:55 gray Exp $
#
Summary: Debug Malloc (Dmalloc)
Name: dmalloc
Version: 4.8.1
Release: 9
Group: Development/Tools
License: public domain
Source: http://dmalloc.com/releases/%{name}-%{version}.tgz
URL: http://dmalloc.com/
Patch: dmalloc-pic.patch
Prereq: /sbin/install-info
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root

%description
The debug memory allocation or "dmalloc" library has been designed as
a drop in replacement for the system's `malloc', `realloc', `calloc',
`free' and other memory management routines while providing powerful
debugging facilities configurable at runtime.  These facilities
include such things as memory-leak tracking, fence-post write
detection, file/line number reporting, and general logging of
statistics.  It also provides support for the debugging of threaded
programs.  Releases and documentation available online. 
http://dmalloc.com/

%prep
%setup -q
%patch -p1

%build
#CFLAGS="${RPM_OPT_FLAGS}" ./configure --prefix=${RPM_BUILD_ROOT}/usr --enable-threads --enable-shlib
%configure --enable-threads --enable-shlib

#
# NOTE: we make the test program first because otherwise it screws up
# and tried to use the .so instead of the .a for some stupid reason
make dmalloc_t all light

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall shlibdir="%{?buildroot:%{buildroot}}%{_libdir}" installinfo

chmod +x ${RPM_BUILD_ROOT}%{_libdir}/*.so

%clean
rm -rf ${RPM_BUILD_ROOT}

%post
/sbin/install-info %{_infodir}/dmalloc.info %{_infodir}/dir

%preun
/sbin/install-info --delete %{_infodir}/dmalloc.info %{_infodir}/dir

%files
%defattr(-,root,root)

%doc INSTALL README NEWS
#%doc dmalloc.info dmalloc.html dmalloc.texi
%{_bindir}/dmalloc
%{_includedir}/dmalloc.h
%{_libdir}/libdmalloc.a
%{_libdir}/libdmalloc.so
%{_libdir}/libdmallocxx.a
%{_libdir}/libdmallocxx.so
%{_libdir}/libdmalloclp.a
%{_libdir}/libdmallocth.a
%{_libdir}/libdmallocth.so
%{_libdir}/libdmallocthcxx.a
%{_libdir}/libdmallocthcxx.so
%{_infodir}/dmalloc.info*

%changelog
* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Fri Jul 13 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add prereq: install-info

* Tue Jul 10 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Install info files in info directory

* Sun Jun 03 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- use "installinfo" to get the docu in the right place

* Mon Dec 11 2000 Bill Nottingham <notting@redhat.com>
- build with -fPIC

* Sat Dec  2 2000 Jeff Johnson <jbj@redhat.com>
- modify SourceForge srpm for Red Hat 7.1.

